@import '../../assets/styles/common.scss';

.order {
  display: flex;
  flex-direction: column;

  &-form {
    padding: 1% 10%;

    &-links {
      text-decoration: none;
      color: #37378a;
      font-size: 15px;
  
      &:hover {
        color: $primary-app-color;
        text-decoration: none;
      }
    }
  }

  &-wrapper {
    display: flex;
    margin-top: 1%;
    justify-content: space-between;
  }

  &-info {
    display: flex;
    flex-direction: column;
    justify-content: left;
    width: 360px;

    &-input {
      width: 300px;
      margin-bottom: 20px;
    }
  }

  &-tickets {
    display: flex;
    flex-direction: column;
    justify-content: left;
    width: 410px;

    &-wrapper {
      margin-top: 20px;
      display: flex;
      flex-direction: column;
    }

    &-subtext {
      font-size: 18px;
      margin-bottom: 10px;
    }

    &-detachment {
      margin: 20px 0;
      width: 300px;
      color: $primary-app-color;
    }
  }

  &-headers {
    color: $order-info-header;
    font-size: 32px;
    font-weight: bold;
    margin-bottom: 20px;

    &-wrapper {
      width: 100%;
      display: flex;
      justify-content: left;
    }
  }

  &-button {
    font-size: 1.2rem;
    width: 200px;
    height: 40px;
    margin-bottom: 20px;
    color: white;
    background-color: $primary-app-color;

    &:hover {
    background: $primary-app-color-hover;
    }

    &-wrapper {
      display: flex;
      justify-content: center;
    }
  }

  &-backdrop {
    display: flex;
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    height: 100%;
    width: 100%;
    z-index: 10;
    align-items: center;
    justify-content: center;
    background-color: rgba(255, 255, 255, 0.5);
  }

  @media only screen and (max-width: 1000px) {
    &-form {
      padding: 1% 1%;
    }
    
    &-wrapper {
      flex-direction: column;
      margin-top: 1%;
    }

    &-info {
      width: 100%;
      align-items: center;

      &-input {
        width: 100%;
      }
    }

    &-tickets {
      margin-top: 50px;
      width: 100%;
    }
  }
}